## aranym 1.0.2

=== atari/nfcdrom/Makefile ===

TARGET = nfcdrom.bos

COBJS = nfcdrom.c ../natfeat/natfeat.c
SOBJS = entry.S ../natfeat/natfeat_asm.S

include ../CONFIGVARS

CFLAGS  = $(OPTS) $(WARN) $(GENERAL)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm -f $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfosmesa/Makefile ===
include ../CONFIGVARS

#
# The NFOSMesa code does nothing but call out to the
# emulator, so there is no need to create extra m68k/20/30/40 versions.
# We create a coldfire binary, though.
# (of course a v4e binary makes only sense when Aranym is emulating a FireBEE ;)
#
CFLAGS  = -O2 -fomit-frame-pointer -Wall -I.
ASFLAGS =
LDFLAGS = -lldg -lgem

NOSTARTUP=yes

OBJECTS = nfosmesa.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-gl.o natfeat.o natfeat_asm.o

ifeq ($(NOSTARTUP),yes)
OBJECTS += crtinit.o libc.o
LDFLAGS += -lgcc
CRT0 = crt0.o
STARTUP = -nostartfiles -nostdlib
endif


M68K_OBJECTS = $(OBJECTS:.o=_68k.o)
MV4E_OBJECTS = $(OBJECTS:.o=_v4e.o)

M68K_FLAGS = -m68000
M020_FLAGS = -m68020-60
M030_FLAGS = -m68030 -m68881
M060_FLAGS = -m68060
MV4E_FLAGS = -mcpu=5475

all:	dirs m68k/osmesa.ldg v4e/osmesa.ldg \
	m68k/tiny_gl.ldg v4e/tiny_gl.ldg \
	m68k/tiny_gl.slb


crt0.o: crt0.S
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<



m68k/osmesa.ldg:	$(CRT0) $(M68K_OBJECTS)
	$(AM_V_LD)${CC} $(M68K_FLAGS) -o $@ $(STARTUP)  $^ ${LDFLAGS}
	$(AM_V_at)${STRIP} $@

nfosmesa_68k.o: nfosmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

lib-osmesa_68k.o: lib-osmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

lib-oldmesa_68k.o: lib-oldmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

lib-misc_68k.o: lib-misc.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

lib-gl_68k.o: lib-gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

natfeat_68k.o: ../natfeat/natfeat.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

natfeat_asm_68k.o: ../natfeat/natfeat_asm.S
	$(AM_V_CC)$(CC) $(ASFLAGS) $(M68K_FLAGS) -c -o $@ $<


v4e/osmesa.ldg:	$(CRT0) $(MV4E_OBJECTS)
	$(AM_V_LD)${CC} $(MV4E_FLAGS) -o $@ $(STARTUP) $^ ${LDFLAGS}
	$(AM_V_at)${STRIP} $@

nfosmesa_v4e.o: nfosmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

lib-osmesa_v4e.o: lib-osmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

lib-oldmesa_v4e.o: lib-oldmesa.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

lib-misc_v4e.o: lib-misc.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

lib-gl_v4e.o: lib-gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

natfeat_v4e.o: ../natfeat/natfeat.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

natfeat_asm_v4e.o: ../natfeat/natfeat_asm.S
	$(AM_V_CC)$(CC) $(ASFLAGS) $(MV4E_FLAGS) -c -o $@ $<


TINY_OBJECTS = nftiny_gl.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-tinygl.o natfeat.o natfeat_asm.o 

ifeq ($(NOSTARTUP),yes)
TINY_OBJECTS += crtinit.o libc.o
endif

TINY_M68K_OBJECTS = $(TINY_OBJECTS:.o=_68k.o)
TINY_MV4E_OBJECTS = $(TINY_OBJECTS:.o=_v4e.o)

m68k/tiny_gl.ldg:	$(CRT0) $(TINY_M68K_OBJECTS)
	$(AM_V_LD)${CC} $(M68K_FLAGS) -o $@ $(STARTUP) $^ ${LDFLAGS}
	$(AM_V_at)${STRIP} $@

nftiny_gl_68k.o: nftiny_gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

lib-tinygl_68k.o: lib-tinygl.c lib-gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

crtinit_68k.o: crtinit.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<

libc_68k.o: libc.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<



v4e/tiny_gl.ldg:	$(CRT0) $(TINY_MV4E_OBJECTS)
	$(AM_V_LD)${CC} $(MV4E_FLAGS) -o $@ $(STARTUP) $^ ${LDFLAGS}
	$(AM_V_at)${STRIP} $@

nftiny_gl_v4e.o: nftiny_gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

lib-tinygl_v4e.o: lib-tinygl.c lib-gl.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

crtinit_v4e.o: crtinit.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<

libc_v4e.o: libc.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<


# -mprg-flags,15 is fastload, load to ttram, mallocs from ttram, and bit3 required for SLBs
m68k/tiny_gl.slb: tiny_gl_slb.o lib-tinygl_68k.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $^ -lgcc

tiny_gl_slb.o: tiny_gl_slb.c
	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<


dirs:
	$(AM_V_at)$(MKDIR_P) m68k v4e

clean:
	rm -f *.o m68k/*.ldg m68k/*.slb v4e/*.ldg v4e/*.slb
	-rmdir m68k v4e

TESTDIR=/windows/c/atari/src/ldg-code/test
cptest: tinygl_load.c 
	cp nfosmesa_load.c $(TESTDIR)/nfosmesa.c
	cp tinygl_load.c $(TESTDIR)/nftinygl.c
	cp tinygl_loadslb.c $(TESTDIR)/tinyslb.c
	cp ldg/nfosmesa.h $(TESTDIR)/ldg
	cp ldg/tiny_gl.h $(TESTDIR)/ldg
	cp slb/tiny_gl.h $(TESTDIR)/slb
	cd $(TESTDIR) && cr2nl -d -R .

=== atari/tools/devdos/Makefile ===

TARGET = dev.dos

COBJS = bosmeta.c dosdir.c dosfile.c dosfsfn.c main.c utility.c ctype.c
SOBJS = mdglue.S

include ../../CONFIGVARS

CFLAGS  = -mshort $(OPTS) $(WARN) $(GENERAL)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init -lgcc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)


$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) $(GENERAL) ${CFLAGS} ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm -f $(SOBJECTS) $(COBJECTS) $(TARGET)

=== debian/changelog ===
aranym (1.0.2-2) unstable; urgency=medium

  * [1ac234e] Update autoconf configs (Closes: #727321)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 20 Oct 2014 11:29:26 +0200

aranym (1.0.2-1) unstable; urgency=medium

  * [dd0a61d] Imported Upstream version 1.0.2
  * [b126901] Disable JIT on kfreebsd amd64

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 16:25:25 +0200

aranym (1.0.1-1) unstable; urgency=medium

  * [0f902ee] Imported Upstream version 1.0.1
  * [268c57f] Re-enable JIT on kfreebsd
  * [ca35c13] Disable usbhost on kfreebsd for now.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 12:29:50 +0200

aranym (1.0.0-1) unstable; urgency=medium

  * [c3c80f6] Imported Upstream version 1.0.0
  * [68e5ee6] Enable JIT on arm
  * [0b31c2e] libusb-1.0-0-dev is now provided by libusb2-dev on kfreebsd, but
    it is not available on hurd-i386

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 10:42:58 +0200

aranym (0.9.16-2) unstable; urgency=medium

  * [07da0ad] Do not built JIT on kfreebsd

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 14 Oct 2014 10:27:23 +0200

=== debian/control ===
Source: aranym
Section: otherosfs
Priority: extra
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Homepage: http://aranym.org/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!hurd-i386], imagemagick, quilt

Package: aranym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uml-utilities, bridge-utils
Conflicts: aranym-jit, aranym-mmu
Description: Atari Running on Any Machine
 Virtual Machine for running Atari 32-bit operating systems and applications

## aranym 1.1.0

=== atari/natfeat/Makefile ===
#
# Makefile for the embeded natfeat files.
# currently used in hostfs and hostfs/metados Makefiles
#
# usage: copy this dir into a local folder and do
#          make parentdir=..  (adjust the .. ?)
#
SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = $(parentdir)/../..
subdir = .natfeat

default: all

all-here: objs

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

# default definitions
OBJS = $(COBJS:.c=.o) $(SOBJS:%.S=%.o)

objs: $(OBJS)

include $(top_srcdir)/DEPENDENCIES

=== atari/nfjpeg/Makefile ===

TARGET = nfjpeg.prg

COBJS = nfjpeg.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
SOBJS = entry.S nfjpeg_functions.S ../natfeat/natfeat_asm.S

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall -W -Wstrict-prototypes
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm -f $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfosmesa/Makefile ===
--- 
+++ 
@@ -6,13 +6,13 @@
 # We create a coldfire binary, though.
 # (of course a v4e binary makes only sense when Aranym is emulating a FireBEE ;)
 #
-CFLAGS  = -O2 -fomit-frame-pointer -Wall -I.
+CFLAGS  = -O2 -fomit-frame-pointer -Wall -I. -DTGL_ENABLE_CHECKS
 ASFLAGS =
 LDFLAGS = -lldg -lgem
 
 NOSTARTUP=yes
 
-OBJECTS = nfosmesa.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-gl.o natfeat.o natfeat_asm.o
+OBJECTS = nfosmesa.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-ldg.o lib-gl.o natfeat.o natfeat_asm.o
 
 ifeq ($(NOSTARTUP),yes)
 OBJECTS += crtinit.o libc.o
@@ -33,7 +33,7 @@
 
 all:	dirs m68k/osmesa.ldg v4e/osmesa.ldg \
 	m68k/tiny_gl.ldg v4e/tiny_gl.ldg \
-	m68k/tiny_gl.slb
+	m68k/tiny_gl.slb m68k/osmesa.slb
 
 
 crt0.o: crt0.S
@@ -55,6 +55,9 @@
 	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
 
 lib-misc_68k.o: lib-misc.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
+
+lib-ldg_68k.o: lib-ldg.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
 
 lib-gl_68k.o: lib-gl.c
@@ -83,6 +86,9 @@
 lib-misc_v4e.o: lib-misc.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
+lib-ldg_v4e.o: lib-ldg.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
+
 lib-gl_v4e.o: lib-gl.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
@@ -93,7 +99,7 @@
 	$(AM_V_CC)$(CC) $(ASFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
 
-TINY_OBJECTS = nftiny_gl.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-tinygl.o natfeat.o natfeat_asm.o 
+TINY_OBJECTS = nftiny_gl.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-ldg.o lib-tinygl.o natfeat.o natfeat_asm.o 
 
 ifeq ($(NOSTARTUP),yes)
 TINY_OBJECTS += crtinit.o libc.o
@@ -137,19 +143,39 @@
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
 
+STRIPEX = ../tools/stripex
+
+# -ffreestanding is needed to prevent GNU-C from optimizing fprintf to fputs
+# -fno-unit-at-a-time is needed to prevent static functions
+# to be moved before the SLB header
+SLB_CFLAGS = -fno-unit-at-a-time -ffreestanding
+
+TINYGL_SLB_OBJS=tiny_gl_slb.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
+OSMESA_SLB_OBJS=osmesa_slb.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
+
 # -mprg-flags,15 is fastload, load to ttram, mallocs from ttram, and bit3 required for SLBs
-m68k/tiny_gl.slb: tiny_gl_slb.o lib-tinygl_68k.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
-	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $^ -lgcc
+m68k/tiny_gl.slb: $(TINYGL_SLB_OBJS) $(STRIPEX)
+	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $(TINYGL_SLB_OBJS) -lgcc
+	$(AM_V_at)$(STRIPEX) $@
+
+m68k/osmesa.slb: $(OSMESA_SLB_OBJS) $(STRIPEX)
+	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $(OSMESA_SLB_OBJS) -lgcc
+	$(AM_V_at)$(STRIPEX) $@
 
 tiny_gl_slb.o: tiny_gl_slb.c
-	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) $(SLB_CFLAGS) -c -o $@ $<
+osmesa_slb.o: osmesa_slb.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) $(SLB_CFLAGS) -c -o $@ $<
+
+$(STRIPEX): ../tools/stripex.c
+	$(AM_V_CC)$(NATIVECC) $(NATIVECFLAGS) -o $@ $<
 
 
 dirs:
 	$(AM_V_at)$(MKDIR_P) m68k v4e
 
 clean:
-	rm -f *.o m68k/*.ldg m68k/*.slb v4e/*.ldg v4e/*.slb
+	rm -f *.o m68k/*.ldg m68k/*.slb v4e/*.ldg v4e/*.slb $(STRIPEX)
 	-rmdir m68k v4e
 
 TESTDIR=/windows/c/atari/src/ldg-code/test

=== atari/hostfs/metados/Makefile ===
#
# Makefile for hostfs.xfs
# 
# If you got these sources as part of STonX note:
#    - You have to copy all files of this directory into the FreeMiNT source
#      tree at "sys/xfs/hostfs". Instead of you may change top_srcdir at this
#      Makefile to "sys" directory of the MiNT source tree.
#      "make" does only work, if you do so!
#
# Note: You need a crosscompiler to make hostfs.xfs or a native m68k-atari-mint
#       gcc, make etc.
#       To use crosscompiling change the variables at CONFIGVARS.
#       To crosscompile even FreeMiNT, you may have to change CRLF at 
#       CONFIGVARS (e.g. say "CRLF = echo crlf"). There may be additional 
#       errors, because of using "flags" at some sub-Makefiles. Comment out
#       "flags"-calls at those Makefiles (resulting programms will only work
#       if you're running at least version 1.15.10 of FreeMiNT.
#
TARGET = hostfs.dos
GENFILES = $(TARGET)

SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = ../..
subdir = metados

CPU = 000

default: all

include $(top_srcdir)/CONFIGVARS

all: $(TARGET)

debug:
	$(MAKE) DEBUG_INFO="-DDEBUG_INFO"

# default overwrites
INCLUDES = -I. -I.. -I$(top_srcdir)/natfeat
DEFINITIONS =
LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
LIBS = -lgcc

# some little code pieces needs to be metados dependent 
MDFLAGS += $(DEBUG_INFO)

CFLAGS += $(INCLUDES)
CFLAGS += $(MDFLAGS)
CFLAGS += -g -O2 -fomit-frame-pointer
CFLAGS += -mshort
CFLAGS += $(WARN)

ASFLAGS = $(CFLAGS)

LDFLAGS += -s

CSRCS = \
	hostfs_nfapi.h \
	dosfile.c dosfile.h \
	dosdir.c dosdir.h \
	filesys.c filesys.h \
	k_fds.c k_fds.h \
	debug.c debug.h \
	global.h \
	kerinfo.h \
	main.c mintfake.h \
	mintproc.c mintproc.h \
	$(top_srcdir)/natfeat/natfeat.c $(top_srcdir)/natfeat/nf_ops.h \
	hostfs/hostfs_dev.c hostfs/hostfs_dev.h \
	hostfs/hostfs_xfs.c hostfs/hostfs_xfs.h \
	mint/strcpy.c \
	mint/strncpy.c \
	mint/strlen.c \
	mint/strupr.c \
	mint/bzero.c \
	mint/memcpy.c \
	mint/ctype.c \
	mint/ksprintf.c \
	mint/dostime.c \
	mint/unixtime.c \
	mint/unix2xbios.c \
	$(empty)

SSRCS = \
	mdglue.S \
	$(top_srcdir)/natfeat/natfeat_asm.S \
	$(empty)

# default definitions
OBJS = $(patsubst %.S, %.o, $(filter %.S, $(SSRCS))) $(patsubst %.c, %.o, $(filter %.c, $(CSRCS)))

$(TARGET): $(OBJS)
	$(LD) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean::
	rm -f *.o */*.o $(top_srcdir)/natfeat/*.o $(TARGET)

=== src/Unix/darwin/Makefile ===

#	Define here the relative path from this file to the folder containing the autogen.sh script.
builddir = ../../..

#	Define here the relative path from the the folder containing the autogen.sh script to the folder containing the sdl.m4 file.
sdlm4dir = src/Unix/darwin

#	Configure the aranym ppc binary.
CONFIGURE_OPTIONS_ppc  = --host=powerpc-apple-darwin8.10.0 --enable-fullmmu --enable-opengl --enable-fpe=uae --enable-nfjpeg --enable-nfosmesa --enable-ethernet=yes --enable-vblupdates=yes

#	Configure the aranym x86 binary.
CONFIGURE_OPTIONS_i386 = --host=i386-apple-darwin8.10.0 --enable-opengl --enable-jit-compiler --enable-nfjpeg --enable-nfosmesa --enable-ethernet=yes --enable-vblupdates=yes

#	This flag is needed to by the autogen.sh script.
ACLOCAL_FLAGS = "-I $(sdlm4dir)/"


.PHONY: universal i386 ppc clean clean_i386 clean_ppc touch

	
#	The universal target builds the x86 executable, then the ppc executable and finally merges both into an universal binary which is then put into the application bundle.
universal: $(builddir)/depend_i386 $(builddir)/depend_powerpc
	$(MAKE) -C $(builddir) -f Makefile_i386 aranym_i386
	$(MAKE) -C $(builddir) -f Makefile_ppc aranym_powerpc
	#	create the universal binary from the ppc and i386 versions
	lipo -create $(builddir)/aranym_powerpc $(builddir)/aranym_i386 -output $(builddir)/aranym
	#	now just build the bundle containing the just build universal binary
	$(MAKE) -C $(builddir) -f Makefile_ppc
	rm -rf ARAnyM.app
	mv $(builddir)/ARAnyM.app .

#	The i386 target builds the x86 executable and puts it into the application bundle.
i386: $(builddir)/depend_i386
	$(MAKE) -C $(builddir) -f Makefile_i386 aranym_i386
	cp -p $(builddir)/aranym_i386 $(builddir)/aranym
	$(MAKE) -C $(builddir) -f Makefile_i386
	rm -rf ARAnyM.app
	mv $(builddir)/ARAnyM.app .


#	The ppc target builds the powerpc executable and puts it into the application bundle.
ppc: $(builddir)/depend_powerpc
	$(MAKE) -C $(builddir) -f Makefile_ppc aranym_powerpc
	cp -p $(builddir)/aranym_powerpc $(builddir)/aranym
	$(MAKE) -C $(builddir) -f Makefile_ppc
	rm -rf ARAnyM.app
	mv $(builddir)/ARAnyM.app .


#	The depend target builds both dependencies for x86 and powerpc.
depend: depend_i386 depend_ppc


#	The depend_i386 target builds only the dependencies for x86.
depend_i386: $(builddir)/depend_i386


#	The depend_ppc target builds only the dependencies for powerpc.
depend_ppc: $(builddir)/depend_powerpc


#	The clean target removes all build files.
clean: clean_i386 clean_ppc


#	The clean_i386 target removes all build files related to the x86 binary and the application bundle.
clean_i386:
	if test -f $(builddir)/Makefile_i386; then \
		$(MAKE) -C $(builddir) -f Makefile_i386 clean; \
	fi


#	The clean_ppc target removes all build files related to the ppc binary and the application bundle.
clean_ppc:
	if test -f $(builddir)/Makefile_ppc; then \
		$(MAKE) -C $(builddir) -f Makefile_ppc clean; \
	fi


#	The clean target removes all build files.
distclean: distclean_i386 distclean_ppc


#	The clean_i386 target removes all build files related to the x86 binary and the application bundle.
distclean_i386:
	if test -f $(builddir)/Makefile_i386; then \
		$(MAKE) -C $(builddir) -f Makefile_i386 distclean; \
		rm -f $(builddir)/Makefile_i386; \
	fi
	rm -f $(builddir)/configure_i386
	rm -f $(builddir)/config_i386.h
	rm -f $(builddir)/config_tmp.h


#	The clean_ppc target removes all build files related to the ppc binary and the application bundle.
distclean_ppc:
	if test -f $(builddir)/Makefile_ppc; then \
		$(MAKE) -C $(builddir) -f Makefile_ppc distclean; \
		rm -f $(builddir)/Makefile_ppc; \
	fi
	rm -f $(builddir)/configure_ppc
	rm -f $(builddir)/config_ppc.h
	rm -f $(builddir)/config_tmp.h


#	This target touches both makefiles to avoid another configure run if something has been changed in the Makefile.in file.
touch: 
	touch $(builddir)/Makefile_i386 
	touch $(builddir)/Makefile_ppc 


#	This target combines both configurations into one config_tmp.h file. 
$(builddir)/config_tmp.h:
	echo "#ifndef CONFIG_H" > $@
	echo "    #define CONFIG_H" >> $@
	echo "    #if CPU_powerpc" >> $@
	echo "        #include \"config_ppc.h\"" >> $@
	echo "    #elif CPU_i386" >> $@
	echo "        #include \"config_i386.h\"" >> $@
	echo "    #else" >> $@
	echo "        #error Unsupported CPU type" >> $@
	echo "    #endif" >> $@
	echo "#endif" >> $@


#	This target calls autogen.sh, configure and make depend and renames the generic config* files as config*_i386* to avoid overwriting if configuration for the ppc binary is done.
$(builddir)/config_i386.h: $(builddir)/configure.ac $(builddir)/autogen.sh $(builddir)/acinclude.m4 sdl.m4 $(builddir)/config.guess
	cd $(builddir)/; NO_CONFIGURE=yes ACLOCAL_FLAGS=$(ACLOCAL_FLAGS) ./autogen.sh;
	cd $(builddir)/; ./configure $(CONFIGURE_OPTIONS_i386)
	mv $(builddir)/configure $(builddir)/configure_i386
	mv $(builddir)/config.log $(builddir)/config_i386.log
	mv $(builddir)/config.h $(builddir)/config_i386.h


#	This target calls autogen.sh, configure and make depend and renames the generic config* files as config*_ppc* to avoid overwriting if configuration for the x86 binary is done.
$(builddir)/config_ppc.h: $(builddir)/configure.ac $(builddir)/autogen.sh $(builddir)/acinclude.m4 sdl.m4 $(builddir)/config.guess
	cd $(builddir)/; NO_CONFIGURE=yes ACLOCAL_FLAGS=$(ACLOCAL_FLAGS) ./autogen.sh;
	cd $(builddir)/; ./configure $(CONFIGURE_OPTIONS_ppc)
	mv $(builddir)/configure $(builddir)/configure_ppc
	mv $(builddir)/config.log $(builddir)/config_ppc.log
	#mv $(builddir)/config.h $(builddir)/config_ppc.h
	# 10.3.9 compatibility:
	cat $(builddir)/config.h | sed 's/#define HAVE_SYS_STATVFS_H 1/\/* #undef HAVE_SYS_STATVFS_H *\//' > $(builddir)/config_ppc.h
	rm -f $(builddir)/config.h


#	This target calls make to buid the dependency file for x86.
$(builddir)/depend_i386: $(builddir)/Makefile_i386 $(builddir)/config_tmp.h 
	cp $(builddir)/config_tmp.h $(builddir)/config.h
	$(MAKE) -C $(builddir) -f Makefile_i386 depend


#	This target calls make to buid the dependency file for powerpc.
$(builddir)/depend_powerpc: $(builddir)/Makefile_ppc $(builddir)/config_tmp.h
	cp $(builddir)/config_tmp.h $(builddir)/config.h
	$(MAKE) -C $(builddir) -f Makefile_ppc depend


#	After a configuration for x86 this target renames the created Makefile to Makefile_i386
$(builddir)/Makefile_i386: $(builddir)/config_i386.h $(builddir)/Makefile.in
	mv $(builddir)/Makefile $(builddir)/Makefile_i386
	touch $(builddir)/Makefile_i386


#	After a configuration for ppc this target renames the created Makefile to Makefile_ppc
$(builddir)/Makefile_ppc: $(builddir)/config_ppc.h $(builddir)/Makefile.in
	mv $(builddir)/Makefile $(builddir)/Makefile_ppc
	touch $(builddir)/Makefile_ppc

=== atari/network/ethernet/nfeth-config/Makefile ===
nfeth-config:	nfeth-config.c
	m68k-atari-mint-gcc -Wall nfeth-config.c -o nfeth-config -lsocket

clean:
	rm -f nfeth-config.o nfeth-config

=== debian/changelog ===
aranym (1.1.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Generalize hurd-i386 into hurd-any.

  [ Gianfranco Costamagna ]
  * Team upload.
  * Commit patch from zhangdandan <zhangdandan@loongson.cn>
    to run autoreconf to update config.guess and config.sub and
    recognize the LoongArch (Closes: #1051907)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:04:59 +0100

aranym (1.1.0-2) unstable; urgency=medium

  * Add patch to use pow10() only when it's available

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 15:27:46 +0100

aranym (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Set myself as maintainer in debian/control (Closes: #981180)
  * Drop all patches merged upstream
  * Fix source file names for aranym-mmu and aranym-jit in debian/rules
  * Drop dh_autotools-dev_updateconfig from debian/rules
  * Update debhelper version to 12 and switch to debhelper-compat
  * Update Homepage field in debian/control
  * Add Vcs-* fields to debian/control
  * Update Standards-Version to 4.5.1 in debian/control
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 12:57:59 +0100

aranym (1.0.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with glibc-2.26 on ARM32.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jan 2018 23:39:45 +0100

aranym (1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix kernel soft-lock up during SCSI driver
    initialization when running Linux (Closes: #865928)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Sep 2017 15:53:18 +0200

=== debian/control ===
Source: aranym
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Homepage: https://aranym.github.io
Vcs-Browser: https://salsa.debian.org/debian/aranym
Vcs-Git: https://salsa.debian.org/debian/aranym.git
Standards-Version: 4.5.1
Build-Depends: autotools-dev,
               bzip2,
               debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               imagemagick,
               libmpfr-dev,
               libsdl-image1.2-dev,
               libsdl1.2-dev,
               libusb-1.0-0-dev [!hurd-any],
               quilt

Package: aranym
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: bridge-utils, uml-utilities
Conflicts: aranym-jit, aranym-mmu
Description: Atari Running on Any Machine
 Virtual Machine for running Atari 32-bit operating systems and applications

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

HOSTTYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
JIT_ENABLED = 0
ifeq ($(HOSTTYPE),i386)
	JIT_ENABLED = 1
endif
ifeq ($(HOSTTYPE),i586)
	JIT_ENABLED = 1
endif
ifeq ($(HOSTTYPE),i686)
	JIT_ENABLED = 1
endif
ifeq ($(HOSTTYPE),amd64)
	JIT_ENABLED = 1
endif
ifeq ($(DEB_HOST_ARCH_CPU),arm)
	JIT_ENABLED = 1
endif

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CF_USB = --enable-usbhost
ifeq (${DEB_HOST_ARCH_OS},hurd)
	CF_USB = --disable-usbhost
	JIT_ENABLED = 0
endif


ifeq (${DEB_HOST_ARCH_OS},kfreebsd)
	CF_USB = --disable-usbhost
	JIT_ENABLED = 1
	ifeq ($(HOSTTYPE),amd64)
		JIT_ENABLED = 0
	endif
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	([ ! -f Makefile ] || $(MAKE) distclean)
	dh_update_autotools_config
	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/tmp )

	([ ! -f Makefile ] || $(MAKE) distclean)
	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-fullmmu --enable-lilo ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/aranym-mmu )
	cp `pwd`/debian/aranym-mmu/usr/bin/aranym-mmu `pwd`/debian/tmp/usr/bin/aranym-mmu

	cp `pwd`/debian/menu-other `pwd`/debian/menu

ifeq ($(JIT_ENABLED),1)
	([ ! -f Makefile ] || $(MAKE) distclean)
	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-jit-compiler ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/aranym-jit )

	cp `pwd`/debian/aranym-jit/usr/bin/aranym-jit `pwd`/debian/tmp/usr/bin/aranym-jit

	cp `pwd`/debian/menu-i386 `pwd`/debian/menu
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf debian/tmp
	rm -rf debian/aranym
	rm -rf debian/aranym-jit
	rm -rf debian/aranym-mmu
	rm -f debian/menu

	([ ! -f Makefile ] || $(MAKE) distclean)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	rm -f debian/tmp/usr/share/doc/aranym/COPYING
	rm -f debian/tmp/usr/share/doc/aranym/INSTALL
	rm -rf debian/tmp/usr/share/aranym/atari/nfcdrom
	rm -rf debian/tmp/usr/share/aranym/atari/nfosmesa
	rm -rf debian/tmp/usr/share/aranym/atari/nfjpeg

	install -m 644 -D `pwd`/contrib/aranym.desktop `pwd`/debian/tmp/usr/share/applications/aranym.desktop
	install -m 644 -D `pwd`/contrib/aranym-mmu.desktop `pwd`/debian/tmp/usr/share/applications/aranym-mmu.desktop
ifeq ($(HOSTTYPE),i386)
	install -m 644 -D `pwd`/contrib/aranym-jit.desktop `pwd`/debian/tmp/usr/share/applications/aranym-jit.desktop
endif
	mkdir -p `pwd`/debian/tmp/usr/share/pixmaps/
	convert `pwd`/contrib/icon-32.png `pwd`/debian/tmp/usr/share/pixmaps/aranym.xpm
	install -m 644 -D `pwd`/contrib/icon-32.png `pwd`/debian/tmp/usr/share/icons/hicolor/32x32/apps/aranym.png
	install -m 644 -D `pwd`/contrib/icon-48.png `pwd`/debian/tmp/usr/share/icons/hicolor/48x48/apps/aranym.png

	dh_install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install binary-common

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
